PIP / I-Tech Firmware v2.01.12 (Windows)

PIP-Lite, USP3, USP3/CN, and I-Tech Firmware

Version 2.01, Released December 13, 2005

This firmware is only needed if you are running Harman Pro System Architect 1.0, London Architect 1.07 or IQwic 8.0. It is not compatible with IQwic 7.20 or earlier, or London Architect 1.06 or earlier.

Important: Updating firmware will destroy any presets stored in the component being updated.

Changes made to firmware:

  • Update to support HiQnet version 2.0
  • Fixed several addressing/discovery/port implementation issues for HiQnet compliance
  • Fixed Bug MultiSv Unsubscribe (for BSS London Architect Software)
  • Implemented new version string for System Architect HiQnet firmware updater

Related Products